package com.jpsoft.shinestar.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.business.entity.GuestFellow;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface GuestFellowDAO {
	int insert(GuestFellow entity);
	int update(GuestFellow entity);
	int exist(String id);
	GuestFellow get(String id);
	int delete(String id);
	List<GuestFellow> list();
	int findByGuestInfoRecordId(String guestInfoRecordId);
	List<GuestFellow> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<GuestFellow> getList(String guestInfoRecordId);
}